Skip to main content
POST
/
v1
/
secrets
Create a secret
curl --request POST \
  --url https://api.strait.dev/v1/secrets \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "project_id": "<string>",
  "secret_key": "<string>",
  "value": "<string>",
  "environment": "<string>",
  "job_id": "<string>"
}
'
{
  "created_at": "2023-11-07T05:31:56Z",
  "environment": "<string>",
  "id": "<string>",
  "key_version": 123,
  "project_id": "<string>",
  "secret_key": "<string>",
  "updated_at": "2023-11-07T05:31:56Z",
  "$schema": "<string>",
  "job_id": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.strait.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key passed as Bearer token

Body

application/json
project_id
string
required
secret_key
string
required
value
string
required
environment
string
job_id
string

Response

OK

created_at
string<date-time>
required
environment
string
required
id
string
required
key_version
integer<int64>
required
project_id
string
required
secret_key
string
required
updated_at
string<date-time>
required
$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://api.strait.dev/schemas/JobSecret.json"

job_id
string